## org.biojava.ontology.io
Class GOParser

    java.lang.Object
      org.biojava.ontology.io.GOParser

    public class GOParser

extends Object

Simple parser for the Gene Ontology (GO) flatfile format.

Since:
  1.4
Author:
  Thomas Down

Constructor Summary
`GOParser()`

Method Summary
`Ontology` `parseGO(BufferedReader goFile, String ontoName, String ontoDescription, OntologyFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOParser

    public GOParser()

Method Detail

### parseGO

    public Ontology parseGO(BufferedReader goFile,
                            String ontoName,
                            String ontoDescription,
                            OntologyFactory factory)
                     throws ParseException,
                            IOException

  Throws:
    `ParseException`
    `IOException`